apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    ansible.sdk.operatorframework.io/verbosity: "2"
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"2.5.1-1-1"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"2.5.1-1-1","maistra-version":"2.5.1","maistra.io/owner":"istio-system","maistra.io/owner-name":"basic"},"name":"kiali","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v2","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic","uid":"ae705e16-cee9-4409-bc2f-f3c42d51cce2"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":[],"image_pull_policy":"","ingress":{"enabled":true},"namespace":"istio-system","pod_labels":{"sidecar.istio.io/inject":"false"}},"external_services":{"custom_dashboards":{"namespace_label":"kubernetes_namespace"},"grafana":{"auth":{"password":"EYwbdPD7Sv+CQO5AqRhRv0xN1WIi2GkCRHuP1w/aaFuHH9mmL3x+mCFlEEcVVlc2AZ0MLi/WO3NKFIjIKcsPzfyOvKyar89M3w/KQ9V5JuD/1XKZqIcD4dH52DEmYgbsBGgrATK+M9qLoh1fS1SMbTmZPHdRsQyhtYRQVk7s/MWA5XMZEGFpETOBBnwlVO6GpcGcIdPROOMG2AnDqd+SGiJR/BHlW7raue8jgtvhxfcyQdOMCeNmbTl4Q5L5epPaq2e4WDe/tz31kuXi+E3NeJRyPTs4hV8ZY4dtltxFWtKVLul38el9HL188vTUzuvnCwFBlrmsnSsDEyFj3c47","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system.svc:3000","url":"https://grafana-istio-system.apps.cluster-wth6l.dynamic.redhatworkshops.io"},"istio":{"config_map_name":"istio-basic","istio_sidecar_injector_config_map_name":"istio-sidecar-injector-basic","istiod_deployment_name":"istiod-basic","url_service_version":"http://istiod-basic.istio-system:15014/version"},"prometheus":{"auth":{"password":"EYwbdPD7Sv+CQO5AqRhRv0xN1WIi2GkCRHuP1w/aaFuHH9mmL3x+mCFlEEcVVlc2AZ0MLi/WO3NKFIjIKcsPzfyOvKyar89M3w/KQ9V5JuD/1XKZqIcD4dH52DEmYgbsBGgrATK+M9qLoh1fS1SMbTmZPHdRsQyhtYRQVk7s/MWA5XMZEGFpETOBBnwlVO6GpcGcIdPROOMG2AnDqd+SGiJR/BHlW7raue8jgtvhxfcyQdOMCeNmbTl4Q5L5epPaq2e4WDe/tz31kuXi+E3NeJRyPTs4hV8ZY4dtltxFWtKVLul38el9HL188vTUzuvnCwFBlrmsnSsDEyFj3c47","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system.svc:9090"},"tracing":{"auth":{"password":"EYwbdPD7Sv+CQO5AqRhRv0xN1WIi2GkCRHuP1w/aaFuHH9mmL3x+mCFlEEcVVlc2AZ0MLi/WO3NKFIjIKcsPzfyOvKyar89M3w/KQ9V5JuD/1XKZqIcD4dH52DEmYgbsBGgrATK+M9qLoh1fS1SMbTmZPHdRsQyhtYRQVk7s/MWA5XMZEGFpETOBBnwlVO6GpcGcIdPROOMG2AnDqd+SGiJR/BHlW7raue8jgtvhxfcyQdOMCeNmbTl4Q5L5epPaq2e4WDe/tz31kuXi+E3NeJRyPTs4hV8ZY4dtltxFWtKVLul38el9HL188vTUzuvnCwFBlrmsnSsDEyFj3c47","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":false,"in_cluster_url":"https://jaeger-query.istio-system.svc","namespace":"istio-system","service":"","url":"","use_grpc":false}},"installation_tag":"Kiali [istio-system]","istio_namespace":"istio-system","version":"v1.73"}}
    maistra.io/mesh-generation: 2.5.1-1-1
  creationTimestamp: "2024-05-06T20:53:10Z"
  finalizers:
  - kiali.io/finalizer
  generation: 2
  labels:
    app.kubernetes.io/component: kiali
    app.kubernetes.io/instance: istio-system
    app.kubernetes.io/managed-by: maistra-istio-operator
    app.kubernetes.io/name: kiali
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/version: 2.5.1-1-1
    maistra-version: 2.5.1
    maistra.io/owner: istio-system
    maistra.io/owner-name: basic
  name: kiali
  namespace: istio-system
  ownerReferences:
  - apiVersion: maistra.io/v2
    blockOwnerDeletion: true
    controller: true
    kind: ServiceMeshControlPlane
    name: basic
    uid: ae705e16-cee9-4409-bc2f-f3c42d51cce2
  resourceVersion: "379208"
  uid: 7e7fc835-3098-4e56-8f6f-22aa5f13a5a4
spec:
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces: []
    image_pull_policy: ""
    ingress:
      enabled: true
    namespace: istio-system
    pod_labels:
      sidecar.istio.io/inject: "false"
  external_services:
    custom_dashboards:
      namespace_label: kubernetes_namespace
    grafana:
      auth:
        password: EYwbdPD7Sv+CQO5AqRhRv0xN1WIi2GkCRHuP1w/aaFuHH9mmL3x+mCFlEEcVVlc2AZ0MLi/WO3NKFIjIKcsPzfyOvKyar89M3w/KQ9V5JuD/1XKZqIcD4dH52DEmYgbsBGgrATK+M9qLoh1fS1SMbTmZPHdRsQyhtYRQVk7s/MWA5XMZEGFpETOBBnwlVO6GpcGcIdPROOMG2AnDqd+SGiJR/BHlW7raue8jgtvhxfcyQdOMCeNmbTl4Q5L5epPaq2e4WDe/tz31kuXi+E3NeJRyPTs4hV8ZY4dtltxFWtKVLul38el9HL188vTUzuvnCwFBlrmsnSsDEyFj3c47
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: https://grafana.istio-system.svc:3000
      url: https://grafana-istio-system.apps.cluster-wth6l.dynamic.redhatworkshops.io
    istio:
      config_map_name: istio-basic
      istio_sidecar_injector_config_map_name: istio-sidecar-injector-basic
      istiod_deployment_name: istiod-basic
      url_service_version: http://istiod-basic.istio-system:15014/version
    prometheus:
      auth:
        password: EYwbdPD7Sv+CQO5AqRhRv0xN1WIi2GkCRHuP1w/aaFuHH9mmL3x+mCFlEEcVVlc2AZ0MLi/WO3NKFIjIKcsPzfyOvKyar89M3w/KQ9V5JuD/1XKZqIcD4dH52DEmYgbsBGgrATK+M9qLoh1fS1SMbTmZPHdRsQyhtYRQVk7s/MWA5XMZEGFpETOBBnwlVO6GpcGcIdPROOMG2AnDqd+SGiJR/BHlW7raue8jgtvhxfcyQdOMCeNmbTl4Q5L5epPaq2e4WDe/tz31kuXi+E3NeJRyPTs4hV8ZY4dtltxFWtKVLul38el9HL188vTUzuvnCwFBlrmsnSsDEyFj3c47
        type: basic
        use_kiali_token: false
        username: internal
      url: https://prometheus.istio-system.svc:9090
    tracing:
      auth:
        password: EYwbdPD7Sv+CQO5AqRhRv0xN1WIi2GkCRHuP1w/aaFuHH9mmL3x+mCFlEEcVVlc2AZ0MLi/WO3NKFIjIKcsPzfyOvKyar89M3w/KQ9V5JuD/1XKZqIcD4dH52DEmYgbsBGgrATK+M9qLoh1fS1SMbTmZPHdRsQyhtYRQVk7s/MWA5XMZEGFpETOBBnwlVO6GpcGcIdPROOMG2AnDqd+SGiJR/BHlW7raue8jgtvhxfcyQdOMCeNmbTl4Q5L5epPaq2e4WDe/tz31kuXi+E3NeJRyPTs4hV8ZY4dtltxFWtKVLul38el9HL188vTUzuvnCwFBlrmsnSsDEyFj3c47
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: https://jaeger-query.istio-system.svc
      namespace: istio-system
      service: ""
      url: https://jaeger-istio-system.apps.cluster-wth6l.dynamic.redhatworkshops.io
      use_grpc: false
  installation_tag: Kiali [istio-system]
  istio_namespace: istio-system
  version: v1.73
status:
  conditions:
  - lastTransitionTime: "2024-05-06T20:53:16Z"
    message: ""
    reason: ""
    status: "False"
    type: Successful
  - ansibleResult:
      changed: 0
      completion: 2024-05-06T20:54:20.968272
      failures: 1
      ok: 15
      skipped: 2
    lastTransitionTime: "2024-05-06T20:54:21Z"
    message: |-
      MODULE FAILURE
      See stdout/stderr for the exact error
    reason: Failed
    status: "False"
    type: Failure
  - lastTransitionTime: "2024-05-06T20:54:21Z"
    message: Running reconciliation
    reason: Running
    status: "True"
    type: Running
  deployment: {}
  progress:
    duration: "0:00:00"
    message: 1. Initializing
  specVersion: v1.73
